org.apache.lucene.luke.app.desktop.components.fragments.search

## Class SortPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.SortPaneProvider

- All Implemented Interfaces:
    ComponentOperatorRegistry.ComponentOperator, SortTabOperator

      public final class SortPaneProvider
      extends Object
      implements SortTabOperator

  Provider of the Sort pane

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortPaneProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JScrollPane` | `get()`
    `Sort` | `getSort()`
    `void` | `setSearchModel(Search model)`
    `void` | `setSortableFields(Collection<String> sortableFields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortPaneProvider

          public SortPaneProvider()

  - ### Method Detail

    - #### get

          public JScrollPane get()

    - #### setSearchModel

          public void setSearchModel(Search model)

      Specified by:
        `setSearchModel` in interface `SortTabOperator`

    - #### setSortableFields

          public void setSortableFields(Collection<String> sortableFields)

      Specified by:
        `setSortableFields` in interface `SortTabOperator`

    - #### getSort

          public Sort getSort()

      Specified by:
        `getSort` in interface `SortTabOperator`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.